summaryrefslogtreecommitdiffstats
path: root/febootstrap-to-initramfs.sh
diff options
context:
space:
mode:
authorrjones <rjones>2009-03-19 18:11:54 +0000
committerrjones <rjones>2009-03-19 18:11:54 +0000
commitc408cc553f0b420e82f3ed4f62722bd40148520e (patch)
tree48f8628df39c6bca5d59c8de74554c80df91f089 /febootstrap-to-initramfs.sh
parent4cf4be3e7699a98ddd4233fafa1a74c5f52fe1e2 (diff)
downloadfebootstrap-c408cc553f0b420e82f3ed4f62722bd40148520e.tar.gz
febootstrap-c408cc553f0b420e82f3ed4f62722bd40148520e.tar.xz
febootstrap-c408cc553f0b420e82f3ed4f62722bd40148520e.zip
More updates.
Diffstat (limited to 'febootstrap-to-initramfs.sh')
-rwxr-xr-xfebootstrap-to-initramfs.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/febootstrap-to-initramfs.sh b/febootstrap-to-initramfs.sh
new file mode 100755
index 0000000..1fdd50e
--- /dev/null
+++ b/febootstrap-to-initramfs.sh
@@ -0,0 +1,38 @@
+#!/bin/bash -
+# febootstrap-to-initramfs
+# (C) Copyright 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# Written by Richard W.M. Jones <rjones@redhat.com>
+
+if [ $# -ne 1 ]; then
+ echo "febootstrap-to-initramfs DIR > initrd.img"
+ exit 1
+fi
+
+cd "$1"
+
+if [ ! -f fakeroot.log -a $(id -u) -ne 0 ]; then
+ echo "no fakeroot.log and not running as root"
+ exit 1
+fi
+
+if [ -f fakeroot.log ]; then
+ fakeroot -i fakeroot.log \
+ sh -c 'find -not -name fakeroot.log -a -print0 | cpio -o0c | gzip --best'
+else
+ find -not -name fakeroot.log -a -print0 | cpio -o0c | gzip --best
+fi